Bug 990095 - [rhevm-dwh_33] - database - postgresql query doesn't work with read-only user
[rhevm-dwh_33] - database - postgresql query doesn't work with read-only user
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Sandro Bonazzola
Barak Dagan
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-07-30 07:24 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: rhevm-dwh-3.3.0-7.el6ev.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
readonly user (11.08 KB, application/x-gzip)
2013-07-30 07:24 EDT, David Botzer
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17581 None None None Never

  None (edit)
Description David Botzer 2013-07-30 07:24:07 EDT
Created attachment 780569 [details]
readonly user

Description of problem:
query works with engine_history user (who is the db owner) and postgres,
 But doesn't work with read-only user 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.I ran dwh-setup on is7, and during which I have created the readonly user 

2.This user can connect to DB remotly, but doesnt have permissions to display any table/view
psql -U dave -h 10.x.x.x ovirt_engine_history 

Actual results:
select * from v3_3_configuration_history_vms;
ERROR:  permission denied for relation v3_3_configuration_history_vms 

Expected results:
should show tables as for other users

Additional info:
other user is working - engine_history and postgres (postgres works localy)
psql -U engine_history -h 10.x.x.x ovirt_engine_history
Comment 1 Barak Dagan 2013-10-08 08:21:49 EDT
Please give this bug devel_ack, if it is fixed
Comment 2 Barak Dagan 2013-11-12 12:32:16 EST
Verified on IS21:


#psql -U readonly -h my.rhevm.com ovirt_engine_history

ovirt_engine_history=> select distinct vm_pool_id, vm_pool_name from vm_configuration where vm_pool_id is not null;
              vm_pool_id              | vm_pool_name 
 9d95b43d-fbea-42f7-88ca-c708d0eac3fb | pool1
 77f17c61-56c8-4985-b7f4-1cda87f22b1d | pool2
Comment 5 Itamar Heim 2014-01-21 17:25:28 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:26:01 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:34 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.